'use strict';
define(function() {
  /**
   * List of the components utilities directives
   */
  var componentsDirectivesProvider = function() {
    var gcButton = {
      name: 'button',
      label: 'tools.builder.fields.items.button.title',
    };

    var positionAutoComplete = {
      name: 'position_auto_complete',
      label: 'tools.builder.fields.items.position_auto_complete.title',
    };

    this.$get = function() {
      return {
        getDirectives: function() {
          return [gcButton, positionAutoComplete];
        },
      };
    };
  };
  return componentsDirectivesProvider;
});
